This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 193532 - libata and ata_piix cannot detect sata harddisk properly on acer travelmate 4150 ich6
libata and ata_piix cannot detect sata harddisk properly on acer travelmate 4...
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
5
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Brian Brock
MassClosed
:
Depends On:
Blocks: FCMETA_SATA
  Show dependency treegraph
 
Reported: 2006-05-30 03:46 EDT by Sony K. Philip
Modified: 2008-01-19 23:41 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-19 23:41:31 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
outputs of dmesg,lspci,dmidecode (38.35 KB, text/plain)
2006-05-30 03:46 EDT, Sony K. Philip
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Bugzilla 172490 None None None Never
Red Hat Bugzilla 175049 None None None Never

  None (edit)
Description Sony K. Philip 2006-05-30 03:46:54 EDT
Description of problem:
Kernel detects harddisks as ide. ata_piix loads up but does not detect sata
harddisk. 

Version-Release number of selected component (if applicable):


How reproducible:
Always. 

Steps to Reproduce:
1. Boot up with 'combined_mode=libata' appended to kernel cmdline and m

  
Actual results:
Machine stops booting when tryinig to detect harddisk partitions.

Expected results:
Machine should detect harddisk partitions and continue boot process.

Additional info:
The hdd shows up as secondary master and the
dvdrom drive is secondary slave on an ICH6. ata_piix loads up and doesnt detect
anything. I added 'combined_mode=libata' to the cmdline to get it to detect and
it found it as a sata hdd but it stopped booting at sda: <6> and then after a
couple of minutes, the machine just froze.
I have been trying various boot params to get it to work but it was no go. I
wanted to turn off 'libata.atapi_enabled' so I put in 'options libata
atapi_enabled=0' in modprobe.conf and then ran 'new-kernel-pkg --package kernel
--mknitrd --depmod -v --install 2.6.16-1.2122_FC5', but it didnt turn it off
when it booted up(linux-2.6-defaults-enable-sata-atapi.patch). I also tried
hdc=noprobe, trying to get ata_piix to hook on to the hdd but not the dvdrom,
and that resulted in hdd not being detected at all.
Finally, unscrewed dvdrom and pulled it out and machine booted up with
'combined_mode=libata' and ata_piixn works as long as theres no drive in the
bay. Im already floppyless... now Im cdromless too. ;-) Cannot do anything in
the BIOS to change things either. The FC5 BOOT kernel/installer also has the
same problem.
Comment 1 Sony K. Philip 2006-05-30 03:46:54 EDT
Created attachment 130217 [details]
outputs of dmesg,lspci,dmidecode
Comment 2 Dave Jones 2006-10-16 15:37:16 EDT
A new kernel update has been released (Version: 2.6.18-1.2200.fc5)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

In the last few updates, some users upgrading from FC4->FC5
have reported that installing a kernel update has left their
systems unbootable. If you have been affected by this problem
please check you only have one version of device-mapper & lvm2
installed.  See bug 207474 for further details.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

If this bug has been fixed, but you are now experiencing a different
problem, please file a separate bug for the new problem.

Thank you.
Comment 3 Jon Stanley 2008-01-19 23:41:31 EST
(this is a mass-close to kernel bugs in NEEDINFO state)

As indicated previously there has been no update on the progress of this bug
therefore I am closing it as INSUFFICIENT_DATA. Please re-open if the issue
still occurs for you and I will try to assist in its resolution. Thank you for
taking the time to report the initial bug.

If you believe that this bug was closed in error, please feel free to reopen
this bug.

Note You need to log in before you can comment on or make changes to this bug.